Bug 159372 - new port: net/opennx
Summary: new port: net/opennx
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ryan Steinmetz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-02 04:30 UTC by Timothy Beyer
Modified: 2011-09-16 22:00 UTC (History)
1 user (show)

See Also:


Attachments
opennx.shar (5.25 KB, text/plain)
2011-08-02 04:30 UTC, Timothy Beyer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2011-08-02 04:30:11 UTC
OpenNX is an open source drop in replacement for NoMachine's NX client. It is compatible to the original client in that it uses the same syntax for the session configuration files (.nxs files). OpenNX is distributed under the GNU Lesser Public License v2.1. OpenNX is written in C++ and uses the excellent wxWidgets toolkit.

Fix: The included shar, and all prerequisite shar files
How-To-Repeat: extract shar archive and build port
Comment 1 Ryan Steinmetz freebsd_committer freebsd_triage 2011-08-19 12:31:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->zi

I'll take it.
Comment 2 dfilter service freebsd_committer 2011-09-16 21:54:02 UTC
zi          2011-09-16 20:53:49 UTC

  FreeBSD ports repository

  Modified files:
    net                  Makefile 
  Added files:
    net/opennx           Makefile distinfo pkg-descr pkg-plist 
  Log:
  New port: net/opennx
  
  OpenNX is an open source drop in replacement for NoMachine's NX client.
  It is compatible to the original client in that it uses the same syntax
  for the session configuration files (.nxs files). OpenNX is distributed
  under the GNU Lesser Public License v2.1. OpenNX is written in C++ and
  uses the excellent wxWidgets toolkit.
  
  PR:             ports/159372
  Submitted by:   Timothy Beyer <beyert@cs.ucr.edu>
  Approved by:    wxs (mentor)
  
  Revision  Changes    Path
  1.2378    +1 -0      ports/net/Makefile
  1.1       +55 -0     ports/net/opennx/Makefile (new)
  1.1       +2 -0      ports/net/opennx/distinfo (new)
  1.1       +23 -0     ports/net/opennx/pkg-descr (new)
  1.1       +69 -0     ports/net/opennx/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Ryan Steinmetz freebsd_committer freebsd_triage 2011-09-16 21:56:46 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!